### Property

# Adw Flap:locked

deprecated: 1.4 since: 1

#### Declaration

    property locked: gboolean [ read, write ]

#### Description [src]

Whether the flap is locked.

If `FALSE`, folding when the flap is revealed automatically closes it, and unfolding it when the flap is not revealed opens it. If `TRUE`, `AdwFlap:reveal-flap` value never changes on its own.

Type: | `gboolean`
Available since: | 1
Deprecated since: | 1.4
See the migration guide

Default value | FALSE
Getter method | `adw_flap_get_locked()`
Setter method | `adw_flap_set_locked()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no